> For the complete documentation index, see [llms.txt](https://docs.nlx.ai/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nlx.ai/platform/developers/agentic-cx-designer-sdk/api-reference.md).

# API Reference

All operations follow the Command pattern. Import the client and the command, then call client.send(command).

```
import { AgenticCXDesignerClient, <CommandName> } from "amazon-connect-acxd-sdk";
  
const client = new AgenticCXDesignerClient({
  apiKey: 'acxd_live_...',
  workspaceId: 'your-workspace-uuid',
});
  
const response = await client.send(new <CommandName>({ ... }));
```

Most List operations use token-based pagination:

```
const response = await client.send(new ListApplicationsCommand({
    maxResults: 50,
    nextToken: '...',
}));
```

### API Operations

The following section lists the API operations by resource.

**API Token Operations**

* ListApiTokens
* CreateApiToken
* DeleteApiToken

**Application Operations**

* ListApplications
* CreateApplication
* GetApplication
* UpdateApplication
* DeleteApplication

**Application Build Operations**

* ListApplicationBuilds
* CreateApplicationBuild
* GetApplicationBuild

**Application Deployment Operations**

* ListApplicationDeployments
* CreateApplicationDeployment
* GetApplicationDeployment
* UpdateApplicationDeployment
* DeleteApplicationDeployment

**Analytics Tag Operations**

* ListAnalyticsTags
* CreateAnalyticsTag
* UpdateAnalyticsTag
* DeleteAnalyticsTag

**Context Variables Operations**

* ListContextVariables
* CreateContextVariable
* UpdateContextVariable
* DeleteContextVariable

**Conversation Operations**

* ListConversations
* GetConversation

**Data Request Operations**

* ListDataRequests
* CreateDataRequest
* GetDataRequest
* UpdateDataRequest
* DeleteDataRequest

**Downloads Operations**

* GetDownload

**Flow Operations**

* ListFlows
* CreateFlow
* GetFlow
* UpdateFlow
* DeleteFlow

**Guardrail Operations**

* ListGuardrails
* CreateGuardrail
* GetGuardrail
* UpdateGuardrail
* DeleteGuardrail
* TestGuardrail
* ListGuardrailEvents

**Knowledge Base Operations**

* ListKnowledgeBases
* CreateKnowledgeBase
* GetKnowledgeBase
* UpdateKnowledgeBase
* DeleteKnowledgeBase
* CloneKnowledgeBase
* PublishKnowledgeBase
* GetKnowledgeBasePublication
* ListKnowledgeBasePublications

**Knowledge Base Article Operations**

* ListKnowledgeBaseArticles
* CreateKnowledgeBaseArticle
* GetKnowledgeBaseArticle
* UpdateKnowledgeBaseArticle
* DeleteKnowledgeBaseArticle

**Knowledge Base Document Operations**

* ListKnowledgeBaseDocuments
* GetKnowledgeBaseDocument
* PutKnowledgeBaseDocument
* DeleteKnowledgeBaseDocument

**Log Operations**

* QueryLogs

**Modality Operations**

* ListModalities
* CreateModality
* GetModality
* UpdateModality
* DeleteModality

**Programmatic User Operations**

* ListProgrammaticUsers
* CreateProgrammaticUser
* GetProgrammaticUser
* UpdateProgrammaticUser
* DeleteProgrammaticUser

**Role Operations**

* ListRoles
* CreateRole
* GetRole
* UpdateRole
* DeleteRole
* GetRolePermissions

**Secret Operations**

* ListSecrets
* CreateSecret
* GetSecret
* UpdateSecret
* DeleteSecret

**Slot Type Operations**

* ListSlotTypes
* CreateSlotType
* GetSlotType
* UpdateSlotType
* DeleteSlotType

**Team Operations**

* GetTeam

**Trail Operations**

* StartTrailQuery
* GetTrailQueryResults

**User Operations**

* ListUsers
* CreateUser
* GetUser
* UpdateUser
* DeleteUser

**Version Operations**

* ListResourceVersions
* GetResourceVersion

**Workspace Operations**

* ListWorkspaces
* CreateWorkspace
* GetWorkspace
* UpdateWorkspace
* DeleteWorkspace


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nlx.ai/platform/developers/agentic-cx-designer-sdk/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
